datablock ItemData(blackopsAmmokitItem)
{
	category = "Weapon";
	className = "Weapon";
	shapeFile = "./ammokit.dts";
	mass = 1;
	density = 0.2;
	elasticity = 0.2;
	friction = 0.6;
	emap = true;
	uiName = "Ammokit";
	image = blackopsAmmokitImage;
	canDrop = true;
};


datablock ShapeBaseImageData(blackopsAmmokitImage)
{
   shapeFile = "./ammokit.dts";
   emap = true;
   mountPoint = 0;
   offset = "0 0 0";
   eyeOffset = 0; 
   rotation = eulerToMatrix( "0 0 10" );  
   correctMuzzleVector = true;
   className = "WeaponImage";
   melee = false;
   armReady = true;
   item = blackopsAmmokitItem;

	stateName[0]                     = "Activate";
	stateTimeoutValue[0]             = 1;
	stateTransitionOnTimeout[0]       = "Ready";

	stateName[1]                     = "Ready";
	stateScript[1]                  = "onUse";
	stateAllowImageChange[1]         = true;
	stateTransitionOnTriggerDown[1]  = "Fire";

	stateName[2]                    = "Fire";
	stateTransitionOnTriggerUp[2]	= "Activate";
	stateScript[2]                  = "onFire";
};

function gettotalspeed(%a)
{
	%vel = %a.getVelocity();
	return mAbs(getword(%vel,0)) + mAbs(getword(%vel,1)) + mAbs(getword(%vel,2));
}

function blackopsAmmokitImage::onFire(%a,%b,%c)
{
	if(gettotalspeed(%b) > 1)
		commandtoclient(%b.client,'centerPrint',"You need to be standing still to replenish ammo.",4);
	else
	{
		%b.client.fastammo = 150;
		%b.client.rpgammo = 2;
		%b.client.slowammo = 50;
		%b.client.sniperammo = 20;
		%b.client.slugammo = 24;
		commandtoclient(%b.client,'centerPrint',"Your ammo has been replenished.",3);
	}
}