$killstreaks=0;

function addkillstreak(%name,%function,%kills)
{
	$killstreaknames[$killstreaks] = %name;
	$killstreakfunctions[$killstreaks] = %function;
	$killstreakkills[$killstreaks] = %kills;
	$killstreaks++;
}

function killstreaknametonumber(%name)
{
	for(%a = 0; %a<$killstreaks; %a++)
		if(%name $= $killstreaknames[%a])
			return %a;
	return -1;
}

package blackopskillstreak
{
	function gameConnection::onDeath(%killed,%a,%killer,%b,%c)
	{
		Parent::onDeath(%killed,%a,%killer,%b,%c);
		%killed.currentstreak = 0;
		%killer.currentstreak++;

		%killstreak = killstreaknametonumber(%killer.killstreak);

		if(%killstreak == -1)
			%killstreak = 0;
		if(%killstreak != -1)
		{
			%killsneeded = $killstreakkills[%killstreak];
			if(%killer.perk == 1)
				%killsneeded--;
			if(%killer.perk == 5)
				%killsneeded-=2;
			%killstreakname = $killstreaknames[%killstreak];
			%killstreakfunction = $killstreakfunctions[%killstreak];

			if(%killer.currentstreak == %killsneeded)
			{
				%killer.earnedkillstreak = %killstreakname;
				messageclient(%killer,'',"\c6You earned killstreak\c3" SPC %killstreakname @ "\c6!");
			}
		}
	}
};
activatepackage(blackopskillstreak);

function servercmdks(%client)
{
	%killstreak = killstreaknametonumber(%client.earnedkillstreak);
	if(%killstreak != -1)
	{
		messageall('',"\c3" @ %client.name SPC "\c6just used a killstreak!");
		eval($killstreakfunctions[%killstreak] @ "(" @ %client @ ");");
	}
}

function mortar(%client)
{
	for(%a=0;%a<5;%a++)
	{
		if(%client.player.tool[%a] < 1)
		{
			%client.player.tool[%a] = SmokeBeaconItem.getID();
			messageclient(%client,'MsgItemPickup','',%a,SmokeBeaconItem.getID());
			%client.earnedkillstreak = -1;
			return;
		}
	}
}

function airstrike(%client)
{
	for(%a=0;%a<5;%a++)
	{
		if(%client.player.tool[%a] < 1)
		{
			%client.player.tool[%a] = RadioBeaconItem.getID();
			messageclient(%client,'MsgItemPickup','',%a,RadioBeaconItem.getID());
			%client.earnedkillstreak = -1;
			return;
		}
	}
}

function rpg(%client)
{
	for(%a=0;%a<5;%a++)
	{
		if(%client.player.tool[%a] < 1)
		{
			%client.player.tool[%a] = RPGItem.getID();
			messageclient(%client,'MsgItemPickup','',%a,RPGItem.getID());
			%client.earnedkillstreak = -1;
			return;
		}
	}
}

function servercmdairstrike(%a)
{
	%a.killstreak = "airstrike";
	messageclient(%a,'',"Your goal killstreak reward has been changed to airstrike");
}

function servercmdmortar(%a)
{
	%a.killstreak = "mortar";
	messageclient(%a,'',"Your goal killstreak reward has been changed to mortar");
}

function servercmdrpg(%a)
{
	%a.killstreak = "rpg";
	messageclient(%a,'',"Your goal killstreak reward has been changed to rpg");
}

addkillstreak("mortar","mortar",4);
addkillstreak("airstrike","airstrike",4);
addkillstreak("rpg","rpg",3);

function GameConnection::setKillstreak(%client,%perk)
{
	%client.killstreak = $killstreaknames[%perk];
	messageclient(%client,'',"You will recive" SPC %client.killstreak SPC "as your reward.");
}

registerOutputEvent(GameConnection, "setKillstreak", "list Mortar 0 Airstrike 1 Rpg 2");