datablock ItemData(blackopsmedikitItem)
{
	category = "Weapon";
	className = "Weapon";
	shapeFile = "./medikit.dts";
	mass = 1;
	density = 0.2;
	elasticity = 0.2;
	friction = 0.6;
	emap = true;
	uiName = "Medikit";
	image = blackopsmedikitImage;
	canDrop = true;
};


datablock ShapeBaseImageData(blackopsmedikitImage)
{
   shapeFile = "./medikit.dts";
   emap = true;
   mountPoint = 0;
   offset = "0 0 0";
   eyeOffset = 0; 
   rotation = eulerToMatrix( "0 0 10" );  
   correctMuzzleVector = true;
   className = "WeaponImage";
   melee = false;
   armReady = true;
   item = blackopsmedikitItem;

	stateName[0]                     = "Activate";
	stateTimeoutValue[0]             = 1;
	stateTransitionOnTimeout[0]       = "Ready";

	stateName[1]                     = "Ready";
	stateScript[1]                  = "onUse";
	stateAllowImageChange[1]         = true;
	stateTransitionOnTriggerDown[1]  = "Fire";

	stateName[2]                    = "Fire";
	stateTransitionOnTriggerUp[2]	= "Activate";
	stateScript[2]                  = "onFire";
};

function gettotalspeed(%a)
{
	%vel = %a.getVelocity();
	return mAbs(getword(%vel,0)) + mAbs(getword(%vel,1)) + mAbs(getword(%vel,2));
}

function blackopsmedikitImage::onFire(%a,%b,%c)
{
	if(gettotalspeed(%b) > 1)
		commandtoclient(%b.client,'centerPrint',"You need to be standing still to heal yourself.",4);
	else
	{
		if(%b.getDamageLevel() < 1)
			commandtoclient(%b.client,'centerPrint',"You are fully healed already.",3);
		else
		{
			%b.setHealth((100-%b.getDamageLevel())+10);
			commandtoclient(%b.client,'centerPrint',"Health: " @ 100-%b.getDamageLevel() @ "/100",3);
			%b.setDamageFlash(0.5);
		}
	}
}