exec("config/server/blackops.cs");

datablock AudioProfile(BlackopsLevelupSound)
{
	filename = "./levelup.wav";
	description = AudioDefault3d;
	preload = true;
};

function getlevel(%client)
{
	return $blop::level[%client.bl_id]+1;
}

function levelup(%client)
{
	$blop::level[%client.bl_id]++;
	$blop::exp[%client.bl_id] = 0;
	commandtoclient(%client,'bottomPrint',"\c6You are now level \c3" @ getlevel(%client) @ "\c6!",8);
	%client.playSound(blackopslevelupSound);
	messageall('',"\c3" @ %client.name SPC "\c6is now level\c3" SPC getlevel(%client) @ "\c6!");
	export("$blop::*","config/server/blackops.cs");
}

function getlevelxp(%level)
{
	%xp = 300;
	for(%a=1;%a<%level;%a++)
		%xp *= 1.1;
	return mCeil(%xp);
}

package blackopslevelup
{
	function gameConnection::onDeath(%killed,%a,%killer,%b,%c)
	{
		Parent::onDeath(%killed,%a,%killer,%b,%c);

		%killed.clansuffix = "\c6[\c3" @ getlevel(%killed) @ "\c6] ";
		%killer.clansuffix = "\c6[\c3" @ getlevel(%killer) @ "\c6] ";
		
		if(!isObject(%killed))
			return;
		if(!isObject(%killer))
			return;
		if(%killer == %killed)
			return;

		$blop::exp[%killer.bl_id]+=50;
		if($blop::exp[%killer.bl_id] > getlevelxp($blop::level[%killer.bl_id]))
			levelup(%killer);
		
	}
};
activatepackage(blackopslevelup);