datablock ItemData(blackopstacItem)
{
	category = "Weapon";
	className = "Weapon";
	shapeFile = "./tac.dts";
	rotate = false;
	mass = 1;
	density = 0.2;
	elasticity = 0.2;
	friction = 0.6;
	emap = true;
	uiName = "Tac. Insertion";
	image = blackopstacImage;
	canDrop = true;
	iconName = "./tacicon";
};

datablock ShapeBaseImageData(blackopstacImage)
{
   shapeFile = "./tac.dts";
   emap = true;
   mountPoint = 0;
   offset = "0 0 0";
   eyeOffset = 0; 
   rotation = eulerToMatrix( "0 0 10" );  
   correctMuzzleVector = true;
   className = "WeaponImage";
   melee = false;
   armReady = true;
   item = blackopstacItem;

	stateName[0]                     = "Activate";
	stateTimeoutValue[0]             = 0.5;
	stateTransitionOnTimeout[0]       = "Ready";
	stateScript[0]                  = "onActivate";
	stateSequence[0]                  = "Activate";

	stateName[1]                     = "Ready";
	stateScript[1]                  = "onUse";
	stateTransitionOnTriggerDown[1]  = "Charge";
	stateAllowImageChange[1]         = true;

	stateName[2] = "Charge";
	stateTransitionOnTimeout[2] = "Fire";
	stateTimeoutValue[2] = 3;
	stateTransitionOnTriggerUp[2] = "Activate";
	stateWaitForTimeout[2] = false;
	stateScript[2] = "onCharge";

	stateName[3]                    = "Fire";
	stateTransitionOnTriggerUp[3]	= "Ready";
	stateScript[3]                  = "onFire";

};

function blackopstacImage::onCharge(%this,%obj,%slot)
{
	echo(%obj.client);
	commandtoclient(%obj.client,'centerPrint',"Charging, please wait. Hold trigger down until TAC dissapears.",3);
}

function blackopstacImage::onFire(%this, %obj, %slot)
{
	%client = %obj.client;

	serverCmdUnUseTool(%client);

	for(%a=0;%a<5;%a++)
	{
		if(isObject(%client.player.tool[%a]))
		{
			if(%client.player.tool[%a].getname() $= "blackopstacItem")
			{
				%client.player.tool[%a] = 0;
				messageclient(%client,'MsgItemPickup','',%a,0);
			}
		}
	}	

	$blackops::tacpoint[%client.bl_id] = %client.player.position;
	messageclient(%client,'',"You will spawn at" SPC %client.player.position SPC "next time.");
}

package blackopstac
{
	function GameConnection::createplayer(%a,%b)
	{
		Parent::createplayer(%a,%b);
		if(getWordCount($blackops::tacpoint[%a.bl_id]) > 1)
		{
			%a.player.position = $blackops::tacpoint[%a.bl_id];
			$blackops::tacpoint[%a.bl_id] = "";
			%a.player.loaditems();
		}
	}
};
activatepackage(blackopstac);