function addtomahawk(%client)
{
	for(%a=0;%a<5;%a++)
	{
		if(isObject(%client.player.tool[%a]))
		{
			if(%client.player.tool[%a].getname() $= "blackopstomahawksingleItem")
			{
				%client.player.tool[%a] = blackopstomahawkpairItem.getid();
				messageclient(%client,'MsgItemPickup','',%a,blackopstomahawkpairItem.getid());
				return true;
			}
		}
	}

	for(%a=0;%a<5;%a++)
	{
		if(isObject(%client.player.tool[%a]))
		{
			if(%client.player.tool[%a].getname() $= "blackopstomahawkpairItem")
			{
				%client.player.tool[%a] = blackopstomahawktritItem.getid();
				messageclient(%client,'MsgItemPickup','',%a,blackopstomahawktritItem.getid());
				return true;
			}
		}
	}

	for(%a=0;%a<5;%a++)
	{
		if(!isObject(%client.player.tool[%a]))
		{
			%client.player.tool[%a] = blackopstomahawksingleItem.getid();
			messageclient(%client,'MsgItemPickup','',%a,blackopstomahawksingleItem.getid());
			return true;
		}
	}

	return false;
}

datablock DecalData(BlackOpsTomahawk)
{
	preload = true;
	textureName = "add-ons/Weapon_Modern/CI_tomahawk.png";
};

AddDamageType("TomahawkDirect",   '<bitmap:add-ons/Weapon_Modern/CI_tomahawk> %1',    '%2 <bitmap:add-ons/Weapon_Modern/CI_tomahawk> %1',0.5,1);

datablock ProjectileData(blackopstomahawkProjectile)
{
   projectileShapeName = "./tomahawkProjectile.dts";
   directDamage        = 500;

   directDamageType    = $DamageType::TomahawkDirect;
   radiusDamageType    = $DamageType::TomahawkDirect;

   brickExplosionRadius = 0;
   brickExplosionImpact = false;          //destroy a brick if we hit it directly?
   brickExplosionForce  = 0;
   brickExplosionMaxVolume = 0;          //max volume of bricks that we can destroy
   brickExplosionMaxVolumeFloating = 0;  //max volume of bricks that we can destroy if they aren't connected to the ground

   impactImpulse	     = 0;
   verticalImpulse	  = 0;

   muzzleVelocity      = 125;
   velInheritFactor    = 1;

   armingDelay         = 0;
   lifetime            = 10000;
   fadeDelay           = 9000;
   bounceElasticity    = 0.5;
   bounceFriction      = 0.20;
   isBallistic         = true;
   gravityMod = 1;

   hasLight    = false;
};

datablock ItemData(blackopstomahawktritItem)
{
	category = "Weapon";
	className = "Weapon";
	shapeFile = "./tomahawk.dts";
	rotate = false;
	mass = 1;
	density = 0.2;
	elasticity = 0.2;
	friction = 0.6;
	emap = true;
	uiName = "Tomahawk (3)";
	image = blackopstomahawktritImage;
	canDrop = true;
	iconName = "./trittomahawk";
};

datablock ItemData(blackopstomahawkpairItem)
{
	category = "Weapon";
	className = "Weapon";
	shapeFile = "./tomahawk.dts";
	rotate = false;
	mass = 1;
	density = 0.2;
	elasticity = 0.2;
	friction = 0.6;
	emap = true;
	uiName = "Tomahawk (2)";
	image = blackopstomahawkpairImage;
	canDrop = true;
	iconName = "./pairtomahawk";
};

datablock ItemData(blackopstomahawksingleItem)
{
	category = "Weapon";
	className = "Weapon";
	shapeFile = "./tomahawk.dts";
	rotate = false;
	mass = 1;
	density = 0.2;
	elasticity = 0.2;
	friction = 0.6;
	emap = true;
	uiName = "Tomahawk (1)";
	image = blackopstomahawksingleImage;
	canDrop = true;
	iconName = "./tomahawk";
};


datablock ShapeBaseImageData(blackopstomahawktritImage)
{
   // Basic Item properties
   shapeFile = "./tomahawk.dts";
   emap = true;

   // Specify mount point & offset for 3rd person, and eye offset
   // for first person rendering.
   mountPoint = 0;
   offset = "0 0 0";
   //eyeOffset = "0.1 0.2 -0.55";

   // When firing from a point offset from the eye, muzzle correction
   // will adjust the muzzle vector to point to the eye LOS point.
   // Since this weapon doesn't actually fire from the muzzle point,
   // we need to turn this off.  
   correctMuzzleVector = true;

   // Add the WeaponImage namespace as a parent, WeaponImage namespace
   // provides some hooks into the inventory system.
   className = "WeaponImage";

   // Projectile && Ammo.
   item = blackopstomahawktritItem;
   ammo = " ";
   projectile = blackopstomahawkProjectile;
   projectileType = Projectile;

   //melee particles shoot from eye node for consistancy
   melee = false;
   //raise your arm up or not
   armReady = true;

   // Images have a state system which controls how the animations
   // are run, which sounds are played, script callbacks, etc. This
   // state system is downloaded to the client so that clients can
   // predict state changes and animate accordingly.  The following
   // system supports basic ready->fire->reload transitions as
   // well as a no-ammo->dryfire idle state.

   // Initial start up state
	stateName[0]			= "Activate";
	stateTimeoutValue[0]		= 0.1;
	stateTransitionOnTimeout[0]	= "Ready";
	stateSequence[0]		= "ready";
	stateSound[0]					= weaponSwitchSound;

	stateName[1]			= "Ready";
	stateTransitionOnTriggerDown[1]	= "Pindrop";
	stateAllowImageChange[1]	= true;

	stateName[2]			= "Pindrop";
	stateTransitionOnTimeout[2]	= "Pinfallen";
	stateAllowImageChange[2]	= false;
	stateTimeoutValue[2]		= 0.2;
	stateSequence[2]                = "Pinpull";

	stateName[3]			= "Pinfallen";
	stateTransitionOnTriggerDown[3]	= "Charge";
	stateAllowImageChange[3]	= false;
	
	stateName[4]                    = "Charge";
	stateTransitionOnTimeout[4]	= "Armed";
	stateTimeoutValue[4]            = 0.7;
	stateWaitForTimeout[4]		= false;
	stateTransitionOnTriggerUp[4]	= "AbortCharge";
	stateScript[4]                  = "onCharge";
	stateAllowImageChange[4]        = false;
	
	stateName[5]			= "AbortCharge";
	stateTransitionOnTimeout[5]	= "Pinfallen";
	stateTimeoutValue[5]		= 0.3;
	stateWaitForTimeout[5]		= true;
	stateScript[5]			= "onAbortCharge";
	stateAllowImageChange[5]	= false;

	stateName[6]			= "Armed";
	stateTransitionOnTriggerUp[6]	= "Fire";
	stateAllowImageChange[6]	= false;

	stateName[7]			= "Fire";
	stateTransitionOnTimeout[7]	= "Done";
	stateTimeoutValue[7]		= 0.5;
	stateFire[7]			= true;
	stateSequence[7]		= "fire";
	stateScript[7]			= "onFire";
	stateWaitForTimeout[7]		= true;
	stateAllowImageChange[7]	= false;

	stateName[8]					= "Done";
	stateScript[8]					= "onDone";

};


function blackopstomahawktritImage::onCharge(%this, %obj, %slot)
{
	%obj.playthread(2, spearReady);
	%obj.lasttomahawk = %obj.currTool;
}

function blackopstomahawktritImage::onAbortCharge(%this, %obj, %slot)
{
	%obj.playthread(2, root);
}

function blackopstomahawktritImage::onFire(%this, %obj, %slot)
{
	Parent::OnFire(%this, %obj, %slot);
	%obj.tool[%obj.lasttomahawk] = blackopstomahawkpairItem.getID();
	messageClient(%obj.client,'MsgItemPickup','',%obj.lasttomahawk,blackopstomahawkpairItem.getID());
	serverCmdUnUseTool(%obj.client);
}

datablock ShapeBaseImageData(blackopstomahawkpairImage)
{
   // Basic Item properties
   shapeFile = "./tomahawk.dts";
   emap = true;

   // Specify mount point & offset for 3rd person, and eye offset
   // for first person rendering.
   mountPoint = 0;
   offset = "0 0 0";
   //eyeOffset = "0.1 0.2 -0.55";

   // When firing from a point offset from the eye, muzzle correction
   // will adjust the muzzle vector to point to the eye LOS point.
   // Since this weapon doesn't actually fire from the muzzle point,
   // we need to turn this off.  
   correctMuzzleVector = true;

   // Add the WeaponImage namespace as a parent, WeaponImage namespace
   // provides some hooks into the inventory system.
   className = "WeaponImage";

   // Projectile && Ammo.
   item = blackopstomahawkpairItem;
   ammo = " ";
   projectile = blackopstomahawkProjectile;
   projectileType = Projectile;

   //melee particles shoot from eye node for consistancy
   melee = false;
   //raise your arm up or not
   armReady = true;

   // Images have a state system which controls how the animations
   // are run, which sounds are played, script callbacks, etc. This
   // state system is downloaded to the client so that clients can
   // predict state changes and animate accordingly.  The following
   // system supports basic ready->fire->reload transitions as
   // well as a no-ammo->dryfire idle state.

   // Initial start up state
	stateName[0]			= "Activate";
	stateTimeoutValue[0]		= 0.1;
	stateTransitionOnTimeout[0]	= "Ready";
	stateSequence[0]		= "ready";
	stateSound[0]					= weaponSwitchSound;

	stateName[1]			= "Ready";
	stateTransitionOnTriggerDown[1]	= "Pindrop";
	stateAllowImageChange[1]	= true;

	stateName[2]			= "Pindrop";
	stateTransitionOnTimeout[2]	= "Pinfallen";
	stateAllowImageChange[2]	= false;
	stateTimeoutValue[2]		= 0.2;
	stateSequence[2]                = "Pinpull";

	stateName[3]			= "Pinfallen";
	stateTransitionOnTriggerDown[3]	= "Charge";
	stateAllowImageChange[3]	= false;
	
	stateName[4]                    = "Charge";
	stateTransitionOnTimeout[4]	= "Armed";
	stateTimeoutValue[4]            = 0.7;
	stateWaitForTimeout[4]		= false;
	stateTransitionOnTriggerUp[4]	= "AbortCharge";
	stateScript[4]                  = "onCharge";
	stateAllowImageChange[4]        = false;
	
	stateName[5]			= "AbortCharge";
	stateTransitionOnTimeout[5]	= "Pinfallen";
	stateTimeoutValue[5]		= 0.3;
	stateWaitForTimeout[5]		= true;
	stateScript[5]			= "onAbortCharge";
	stateAllowImageChange[5]	= false;

	stateName[6]			= "Armed";
	stateTransitionOnTriggerUp[6]	= "Fire";
	stateAllowImageChange[6]	= false;

	stateName[7]			= "Fire";
	stateTransitionOnTimeout[7]	= "Done";
	stateTimeoutValue[7]		= 0.5;
	stateFire[7]			= true;
	stateSequence[7]		= "fire";
	stateScript[7]			= "onFire";
	stateWaitForTimeout[7]		= true;
	stateAllowImageChange[7]	= false;

	stateName[8]					= "Done";
	stateScript[8]					= "onDone";

};


function blackopstomahawkpairImage::onCharge(%this, %obj, %slot)
{
	%obj.playthread(2, spearReady);
	%obj.lasttomahawk = %obj.currTool;
}

function blackopstomahawkpairImage::onAbortCharge(%this, %obj, %slot)
{
	%obj.playthread(2, root);
}

function blackopstomahawkpairImage::onFire(%this, %obj, %slot)
{
	Parent::OnFire(%this, %obj, %slot);
	%obj.tool[%obj.lasttomahawk] = blackopstomahawksingleItem.getID();
	messageClient(%obj.client,'MsgItemPickup','',%obj.lasttomahawk,blackopstomahawksingleItem.getID());
	serverCmdUnUseTool(%obj.client);
}

datablock ShapeBaseImageData(blackopstomahawksingleImage)
{
   // Basic Item properties
   shapeFile = "./tomahawk.dts";
   emap = true;

   // Specify mount point & offset for 3rd person, and eye offset
   // for first person rendering.
   mountPoint = 0;
   offset = "0 0 0";
   //eyeOffset = "0.1 0.2 -0.55";

   // When firing from a point offset from the eye, muzzle correction
   // will adjust the muzzle vector to point to the eye LOS point.
   // Since this weapon doesn't actually fire from the muzzle point,
   // we need to turn this off.  
   correctMuzzleVector = true;

   // Add the WeaponImage namespace as a parent, WeaponImage namespace
   // provides some hooks into the inventory system.
   className = "WeaponImage";

   // Projectile && Ammo.
   item = blackopstomahawksingleItem;
   ammo = " ";
   projectile = blackopstomahawkProjectile;
   projectileType = Projectile;

   //melee particles shoot from eye node for consistancy
   melee = false;
   //raise your arm up or not
   armReady = true;

   // Images have a state system which controls how the animations
   // are run, which sounds are played, script callbacks, etc. This
   // state system is downloaded to the client so that clients can
   // predict state changes and animate accordingly.  The following
   // system supports basic ready->fire->reload transitions as
   // well as a no-ammo->dryfire idle state.

   // Initial start up state
	stateName[0]			= "Activate";
	stateTimeoutValue[0]		= 0.1;
	stateTransitionOnTimeout[0]	= "Ready";
	stateSequence[0]		= "ready";
	stateSound[0]					= weaponSwitchSound;

	stateName[1]			= "Ready";
	stateTransitionOnTriggerDown[1]	= "Pindrop";
	stateAllowImageChange[1]	= true;

	stateName[2]			= "Pindrop";
	stateTransitionOnTimeout[2]	= "Pinfallen";
	stateAllowImageChange[2]	= false;
	stateTimeoutValue[2]		= 0.2;
	stateSequence[2]                = "Pinpull";

	stateName[3]			= "Pinfallen";
	stateTransitionOnTriggerDown[3]	= "Charge";
	stateAllowImageChange[3]	= false;
	
	stateName[4]                    = "Charge";
	stateTransitionOnTimeout[4]	= "Armed";
	stateTimeoutValue[4]            = 0.7;
	stateWaitForTimeout[4]		= false;
	stateTransitionOnTriggerUp[4]	= "AbortCharge";
	stateScript[4]                  = "onCharge";
	stateAllowImageChange[4]        = false;
	
	stateName[5]			= "AbortCharge";
	stateTransitionOnTimeout[5]	= "Pinfallen";
	stateTimeoutValue[5]		= 0.3;
	stateWaitForTimeout[5]		= true;
	stateScript[5]			= "onAbortCharge";
	stateAllowImageChange[5]	= false;

	stateName[6]			= "Armed";
	stateTransitionOnTriggerUp[6]	= "Fire";
	stateAllowImageChange[6]	= false;

	stateName[7]			= "Fire";
	stateTransitionOnTimeout[7]	= "Done";
	stateTimeoutValue[7]		= 0.5;
	stateFire[7]			= true;
	stateSequence[7]		= "fire";
	stateScript[7]			= "onFire";
	stateWaitForTimeout[7]		= true;
	stateAllowImageChange[7]	= false;

	stateName[8]					= "Done";
	stateScript[8]					= "onDone";

};


function blackopstomahawksingleImage::onCharge(%this, %obj, %slot)
{
	%obj.playthread(2, spearReady);
	%obj.lasttomahawk = %obj.currTool;
}

function blackopstomahawksingleImage::onAbortCharge(%this, %obj, %slot)
{
	%obj.playthread(2, root);
}

function blackopstomahawksingleImage::onFire(%this, %obj, %slot)
{
	Parent::OnFire(%this, %obj, %slot);
	%obj.tool[%obj.lasttomahawk] = 0;
	messageClient(%obj.client,'MsgItemPickup','',%obj.lasttomahawk,0);
	serverCmdUnUseTool(%obj.client);
}